"""
Load and display a bitmap image from a BMP file.
"""
import board
import terminalio
import displayio
import busio
from adafruit_st7735r import ST7735R

# Release any resources currently in use for the displays
displayio.release_displays()

# create the spi device and pins we will need
spi = busio.SPI(board.B13, MOSI=board.B15)
display_bus = displayio.FourWire(spi, command=board.B1, chip_select=board.B12, reset=board.B0)
display = ST7735R(display_bus, width=128, height=160, rotation=0, bgr=True)

# Make the display context
splash = displayio.Group()
display.show(splash)

# Setup the file as the bitmap data source
bitmap = displayio.OnDiskBitmap("/demep.bmp")

# Create a TileGrid to hold the bitmap
sprite = displayio.TileGrid(bitmap, pixel_shader=bitmap.pixel_shader)

# Add the TileGrid to the Group
splash.append(sprite)


# Loop forever so you can enjoy your image
while True:
    pass